#ifndef __MYTIFF_H__
#define __MYTIFF_H__
#include <tiffio.h>
#include "ipl.h"
/* returns a raw array of rgba values of a tiff
 * origin is lower left corner, 32 bit pixels, 8 bits per channel (rgba)
 * null otherwise
 */
uint32* readTiff(char* filename, uint32* wid, uint32* hei);

/* takes a raw tiff (rgba) and realigns, drops alpha, and puts in imgData */
void tiffToIpl( uint32* raster, char* imgData);

int writeTiff(char *filename, char* image, int width, int height, int
compression);
void IplToTiff(char* imgData, char* raster);
void IplToTiffFloatMono(float* imgData, char* raster); /* added by sammy */
IplImage* getImage(char* filename);


void markTiff(char* raster, int x, int y, char r, char g, char b); /* sammy */

#endif
